- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AttributeFloatRange Class Reference

Search for all occurrences

## Detailed Description

This attribute represents a float value which has a minimum and a maximum value. These values will be used in the user interface only, but the user will be able to assign values out of the range to the attribute.

Examples:

  CurveBrush/CurveCreator.h, FixedFunctionMaterial/FixedFunctionMaterial.h, PtexExtractor/PtexLayout.h, SampleViewportFilter/SampleViewportFilter.h, and ToonMaterial/ToonMaterial.h.

Definition at line 931 of file node.h.

`#include <node.h>`

Inheritance diagram for AttributeFloatRange:
[legend]

List of all members.

## Public Member Functions
| AttributeFloatRange (Node *pOwner, const QString &sID, float fMinimum=0, float fMaximum=1, float fFactor=1, int iPrecision=2)
| Creates the attribute with the given name and limits.
| OPERATORS (float)
void | StartEvent (NodeEventType cType) const
AttributeWidget * | CreateEditorWidget (QWidget *pParent, int iWidth)
| This function creates and returns the address of a QWidget object.
float | Min (void) const
float | Max (void) const
void | SetMin (float fValue)
void | SetMax (float fValue)
void | SetEditMin (float fEditMin)
void | SetEditMax (float fEditMax)
float | EditMin (void) const
float | EditMax (void) const

## Constructor & Destructor Documentation

AttributeFloatRange | ( | Node * | pOwner,
|  | const QString & | sID,
|  | float | fMinimum = `0`,
|  | float | fMaximum = `1`,
|  | float | fFactor = `1`,
|  | int | iPrecision = `2`
| ) |  |

Creates the attribute with the given name and limits.

## Member Function Documentation

OPERATORS | ( | float |  | ) |

Search for all occurrences

void StartEvent | ( | NodeEventType | cType | ) | const `[virtual]`

Search for all occurrences

Reimplemented from Attribute.

AttributeWidget* CreateEditorWidget | ( | QWidget * | pParent,
|  | int | iWidth
| ) |  | `[virtual]`

Search for all occurrences

This function creates and returns the address of a QWidget object.

The object then can be used in the interface to give the user control over the attribute value. Mudbox calls this function for every attribute in a node when it displays a properties dialog box for it. You must override it if you implement a new kind of attribute and want a special interface.

Reimplemented from AttributeInstance< type >.

float Min | ( | void |  | ) | const

Search for all occurrences

float Max | ( | void |  | ) | const

Search for all occurrences

void SetMin | ( | float | fValue | ) |

Search for all occurrences

void SetMax | ( | float | fValue | ) |

Search for all occurrences

void SetEditMin | ( | float | fEditMin | ) |

Search for all occurrences

void SetEditMax | ( | float | fEditMax | ) |

Search for all occurrences

float EditMin | ( | void |  | ) | const

Search for all occurrences

float EditMax | ( | void |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- Mudbox/node.h

AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange
AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange AttributeFloatRange